curl -X GET https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events \
-H "Content-Type: application/json" \
-H "X-API-Version: 1.2" \
-H "Authorization: Bearer <accessToken>"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events", {
method: "GET",
headers: {
Authorization: "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events",
headers={
"Authorization": "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["Content-Type"] = "application/json"
request["X-API-Version"] = "1.2"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"Content-Type: application/json",
"X-API-Version: 1.2",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events"))
.header("Authorization", "Bearer <accessToken>")
.header("Content-Type", "application/json")
.header("X-API-Version", "1.2")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"payout": [
{
"id": 13,
"event_name": "Batch submitted",
"code": "batch_payout.created",
"description": "Batch submitted",
"type": "payout",
"payload": {
"code": "batch_payout.created",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10
},
"type": "payout",
"event_name": "batch_payout.created",
"description": "Batch submitted"
}
},
{
"id": 14,
"event_name": "Batch items paid successfully",
"code": "batch_payout.completed",
"description": "Batch items paid successfully",
"type": "payout",
"payload": {
"code": "batch_payout.completed",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10
},
"type": "payout",
"event_name": "batch_payout.completed",
"description": "Batch items paid successfully"
}
},
{
"id": 15,
"event_name": "Some batch items failed",
"code": "batch_payout.partial",
"description": "Some batch items failed",
"type": "payout",
"payload": {
"code": "batch_payout.partial",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10,
"failed_payouts": 5
},
"type": "payout",
"event_name": "batch_payout.partial",
"description": "Some batch items failed"
}
}
]
}
Partner webhooks
Get webhook events
Retrieves the catalog of all supported webhook events that your application can subscribe to, including event codes, IDs, and payload structures.
GET
/
partner
/
webhook
/
events
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events \
-H "Content-Type: application/json" \
-H "X-API-Version: 1.2" \
-H "Authorization: Bearer <accessToken>"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events", {
method: "GET",
headers: {
Authorization: "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events",
headers={
"Authorization": "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["Content-Type"] = "application/json"
request["X-API-Version"] = "1.2"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"Content-Type: application/json",
"X-API-Version: 1.2",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events"))
.header("Authorization", "Bearer <accessToken>")
.header("Content-Type", "application/json")
.header("X-API-Version", "1.2")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"payout": [
{
"id": 13,
"event_name": "Batch submitted",
"code": "batch_payout.created",
"description": "Batch submitted",
"type": "payout",
"payload": {
"code": "batch_payout.created",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10
},
"type": "payout",
"event_name": "batch_payout.created",
"description": "Batch submitted"
}
},
{
"id": 14,
"event_name": "Batch items paid successfully",
"code": "batch_payout.completed",
"description": "Batch items paid successfully",
"type": "payout",
"payload": {
"code": "batch_payout.completed",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10
},
"type": "payout",
"event_name": "batch_payout.completed",
"description": "Batch items paid successfully"
}
},
{
"id": 15,
"event_name": "Some batch items failed",
"code": "batch_payout.partial",
"description": "Some batch items failed",
"type": "payout",
"payload": {
"code": "batch_payout.partial",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10,
"failed_payouts": 5
},
"type": "payout",
"event_name": "batch_payout.partial",
"description": "Some batch items failed"
}
}
]
}
Headers
string
required
Target API version (e.g.
1.2).Response Body
array of objects
List of supported webhook event definitions available in the payout category.
number
Unique numeric identifier for the event definition (e.g.
13, 14, 15). Use these IDs when subscribing.string
Human-readable label of the event (e.g.
Batch submitted, Batch items paid successfully).string
Dot-notated system code for the event (e.g.
batch_payout.created, batch_payout.completed, batch_payout.partial).string
Detailed summary describing the conditions under which this webhook event is triggered.
string
Event domain category (e.g.
payout).object
Template of the JSON payload dispatched to the partner webhook URL when this event occurs.
string
Event code matching the trigger.
object
Payload data object containing
batchId, platformId, totalPayouts, and failedPayouts (if applicable).Response Codes
| Code | Description |
|---|---|
| 200 | Webhook events catalog retrieved successfully. |
| 401 | Unauthorized. Missing, expired, or invalid partner Bearer token. |
| 500 | Internal Server Error. |
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events \
-H "Content-Type: application/json" \
-H "X-API-Version: 1.2" \
-H "Authorization: Bearer <accessToken>"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events", {
method: "GET",
headers: {
Authorization: "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events",
headers={
"Authorization": "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["Content-Type"] = "application/json"
request["X-API-Version"] = "1.2"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"Content-Type: application/json",
"X-API-Version: 1.2",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events"))
.header("Authorization", "Bearer <accessToken>")
.header("Content-Type", "application/json")
.header("X-API-Version", "1.2")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/partner/webhook/events");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"payout": [
{
"id": 13,
"event_name": "Batch submitted",
"code": "batch_payout.created",
"description": "Batch submitted",
"type": "payout",
"payload": {
"code": "batch_payout.created",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10
},
"type": "payout",
"event_name": "batch_payout.created",
"description": "Batch submitted"
}
},
{
"id": 14,
"event_name": "Batch items paid successfully",
"code": "batch_payout.completed",
"description": "Batch items paid successfully",
"type": "payout",
"payload": {
"code": "batch_payout.completed",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10
},
"type": "payout",
"event_name": "batch_payout.completed",
"description": "Batch items paid successfully"
}
},
{
"id": 15,
"event_name": "Some batch items failed",
"code": "batch_payout.partial",
"description": "Some batch items failed",
"type": "payout",
"payload": {
"code": "batch_payout.partial",
"data": {
"batch_id": "bat_5455f71b596aa119041abe3d4aa3620b",
"platform_id": "8365ea88-2946-4877-abe1-e02a1015288d",
"total_payouts": 10,
"failed_payouts": 5
},
"type": "payout",
"event_name": "batch_payout.partial",
"description": "Some batch items failed"
}
}
]
}
Last modified on November 10, 2026
Was this page helpful?
